<?xml version="1.0" encoding="utf-8"?>
<!--
  ~ Copyright © Ricki Hirner (bitfire web engineering).
  ~ All rights reserved. This program and the accompanying materials
  ~ are made available under the terms of the GNU Public License v3.0
  ~ which accompanies this distribution, and is available at
  ~ http://www.gnu.org/licenses/gpl.html
  -->

<androidx.preference.PreferenceScreen xmlns:android="http://schemas.android.com/apk/res/android">

    <PreferenceCategory android:title="@string/app_settings_debug">

        <Preference
            android:title="@string/app_settings_show_debug_info"
            android:summary="@string/app_settings_show_debug_info_details"
            android:icon="@drawable/ic_bug_report_dark">
            <intent
                android:targetPackage="at.bitfire.davdroid"
                android:targetClass="at.bitfire.davdroid.ui.DebugInfoActivity"/>
        </Preference>

        <SwitchPreferenceCompat
            android:key="log_to_file"
            android:title="@string/app_settings_logging"
            android:icon="@drawable/ic_adb_dark"
            android:summaryOn="@string/app_settings_logging_on"
            android:summaryOff="@string/app_settings_logging_off"/>

        <SwitchPreferenceCompat
            android:key="foreground_service"
            android:title="@string/app_settings_foreground_service"
            android:summary="@string/app_settings_foreground_service_details"/>

    </PreferenceCategory>

    <PreferenceCategory android:title="@string/app_settings_connection">

        <SwitchPreferenceCompat
            android:key="override_proxy"
            android:title="@string/app_settings_override_proxy"
            android:summaryOn="@string/app_settings_override_proxy_on"
            android:summaryOff="@string/app_settings_override_proxy_off"/>

        <EditTextPreference
            android:key="override_proxy_host"
            android:dependency="override_proxy"
            android:title="@string/app_settings_override_proxy_host"
            android:inputType="textUri"/>

        <at.bitfire.davdroid.ui.widget.IntEditTextPreference
            android:key="override_proxy_port"
            android:dependency="override_proxy"
            android:title="@string/app_settings_override_proxy_port"
            android:inputType="number"/>

    </PreferenceCategory>

    <PreferenceCategory android:title="@string/app_settings_security">

        <SwitchPreferenceCompat
            android:key="distrust_system_certs"
            android:title="@string/app_settings_distrust_system_certs"
            android:summaryOn="@string/app_settings_distrust_system_certs_on"
            android:summaryOff="@string/app_settings_distrust_system_certs_off"/>

        <Preference
            android:key="reset_certificates"
            android:title="@string/app_settings_reset_certificates"
            android:summary="@string/app_settings_reset_certificates_summary"/>

        <Preference
            android:title="@string/app_settings_security_app_permissions"
            android:summary="@string/app_settings_security_app_permissions_summary">
            <intent
                android:targetPackage="at.bitfire.davdroid"
                android:targetClass="at.bitfire.davdroid.ui.PermissionsActivity"/>
        </Preference>

    </PreferenceCategory>

    <PreferenceCategory android:title="@string/app_settings_user_interface">

        <Preference
            android:key="notification_settings"
            android:icon="@drawable/ic_notifications_dark"
            android:title="@string/app_settings_notification_settings"
            android:summary="@string/app_settings_notification_settings_summary"/>

        <Preference
            android:key="reset_hints"
            android:title="@string/app_settings_reset_hints"
            android:summary="@string/app_settings_reset_hints_summary"/>

    </PreferenceCategory>

    <PreferenceCategory android:title="@string/app_settings_integration">

        <Preference
            android:key="preferred_tasks_provider"
            android:icon="@drawable/ic_playlist_add_check_dark"
            android:title="@string/app_settings_tasks_provider"
            android:summary="@string/app_settings_tasks_provider_synchronizing_with" />

    </PreferenceCategory>

</androidx.preference.PreferenceScreen>
